@ECHO OFF
SETLOCAL

REM https://docs.python.org/3.8/using/cmdline.html

SET pydir=%~dp0python
SET Path=%pydir%;%Path%

cd %~dp0

REM This sets the pycache to the data directory to try to avoid
REM writing into the archive directory where our copy of Python
REM is.  The -E flag ignores all environmental variables to help
REM isolate the Python runtime from whatever might be set in the
REM OS.

python -X utf8 -X pycache_prefix="%1" -E DefaultChangeDesc.py %2 %3 %4 %5 %6 %7 %8 %9
